LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XJobExecutor Interface Referencepublished

starts action for any triggered event from outside More...

`import"XJobExecutor.idl";`

Inheritance diagram for XJobExecutor:

## Public Member Functions
void | trigger ([in] string Event)
| trigger event to start registered jobs More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

starts action for any triggered event from outside

If somewhere from outside trigger an event on this interface it will be used to find any registered service inside configuration of this executor. If somewhere could be found it will be started and controlled by this instance. After it finish his work it's possible to deactivate further startups or let him run again if a new event will be detected later.

See also
  theJobExecutor

## Member Function Documentation

## ◆ trigger()

void trigger | ( | [in] string | Event | ) |

trigger event to start registered jobs

Jobs are registered in configuration and will be started by executor automatically, if they are registered for triggered event. The meaning of given string Event mustn't be known. Because for the executor it's enough to use it for searching a registered job inside his own configuration. So no special events will be defined here.

Parameters

  Event | describe the event for which jobs can be registered and should be started

The documentation for this interface was generated from the following file:

- com/sun/star/task/XJobExecutor.idl